"ui:options":
  title: "Requisition"
"ui:submitButtonOptions":
  norender: true
"ui:hideItemTitle": true
"ui:tabbed": true
"ui:tabs":
  - "testing-information"
  - "patient-information"
  - "billing-information"
  - "specimen-information"
"ui:order":
  - rerequisition
  - campaign_code
  - clinicians
  - preferred_report_delivery
  - product_type
  - product_subtype
  - product_ids
  - relative
  - fvt_variants
  - "*"
rerequisition:
  "ui:tab": "testing-information"
  "ui:widget": "hidden"
campaign_code:
  "ui:tab": "testing-information"
  "ui:widget": "hidden"
clinicians:
  "ui:tab": "testing-information"
  "ui:field": "typeAheadField"
  "ui:typeahead":
    choices:
      - label: "NOT A CLINICIAN-CLINIC 1-123456789"
        id: "123456789-CLdev1"
      - label: "ALSO NOT A CLINICIAN-CLINIC 2-012345678"
        id: "012345678-CLdev2"
preferred_report_delivery:
  "ui:tab": "testing-information"
  "ui:column": "col-sm-4"
  "ui:widget": "hidden"
product_type:
  "ui:widget": "radio"
  "ui:tab": "testing-information"
product_subtype:
  "ui:widget": "radio"
  "ui:tab": "testing-information"
product_ids:
  "ui:widget": "checkboxes"
  "ui:tab": "testing-information"
relative:
  "ui:tab": "testing-information"
  "ui:row": true
  relationship:
    "ui:tab": "testing-information"
    "ui:column": "col-sm-12"
  requisition:
    "ui:tab": "testing-information"
    "ui:column": "col-sm-6"
  dob:
    "ui:tab": "testing-information"
    "ui:column": "col-sm-6"
fvt_variants:
  "ui:widget": "checkboxes"
  "ui:tab": "testing-information"
pre_test_counseling:
  "ui:tab": "testing-information"
  "ui:column": "col-sm-6"
  "ui:widget": "hidden"
post_test_counseling:
  "ui:tab": "testing-information"
  "ui:column": "col-sm-6"
  "ui:widget": "radio"
  "ui:enumDisabled":
    - VUS_OR_POSITIVE_RESULT
indications:
  "ui:tab": "testing-information"
additional_files:
  "ui:tab": "testing-information"
consents_granted: 
  "ui:hideItemTitle": true
  "ui:widget": "CheckboxesDetailedWidget"
  "ui:checkboxLabel": "I acknowledge my consent"
  "ui:tab": "testing-information"
subject:
  "ui:tab": "patient-information"
  "ui:order":
    - "name"
    - "demographics"
    - "ancestry"
    - "contact_info"
    - "*"
  name:
    "ui:order":
      - "first"
      - "middle"
      - "last"
      - "*"
    "ui:row": true
    first:
      "ui:column": "col-sm-5"
    middle:
      "ui:column": "col-sm-2"
    last:
      "ui:column": "col-sm-5"
    credentials:
      "ui:widget": "hidden"
  demographics:
    "ui:row": true
    dob:
      "ui:column": "col-sm-6"
    sex:
      "ui:column": "col-sm-6"
      "ui:enumDisabled":
        - OTHER
    gender:
      "ui:widget": "hidden"
  ancestry:
    "ui:field": "typeAheadField"
    "ui:typeahead":
      choices:
        - id: WHITE
          label: White
        - id: HISPANIC
          label: Hispanic
        - id: BLACK_AFRICAN_AMERICAN
          label: Black/African American
        - id: EAST_ASIAN
          label: East Asian
        - id: SOUTH_ASIAN
          label: South Asian
        - id: ASHKENAZI_JEWISH
          label: Ashkenazi Jewish
        - id: OTHER
          label: Other
      allowNew: false
  contact_info:
    items:
      "ui:row": true
      "ui:orderable": false
      "ui:copyable": false
      "ui:addRemove": false
      "ui:hideItemTitle": true
      address:
        "ui:row": true
        street_address:
          "ui:column": "col-12"
          "ui:widget": "AddressWidget"
        city:
          "ui:column": "col-sm-6"
        region:
          "ui:column": "col-sm-6"
          "ui:description": "State, province, or other country-specific region. New York is not available at this time."
        postal_code:
          "ui:column": "col-sm-6"
        country:
          # "ui:column": "col-sm-6"
          "ui:widget": "hidden"
      email:
        "ui:column": "col-sm-6"
        "ui:options":
          inputType: "email"
      phone:
        "ui:column": "col-sm-6"
        "ui:widget": "PhoneNumberWidget"
      fax:
        "ui:widget": "hidden"
remote_mrn:
  "ui:tab": "patient-information"
guardian:
  "ui:tab": "patient-information"
  name:
    "ui:hideItemTitle": true
    "ui:order":
      - "first"
      - "middle"
      - "last"
      - "*"
    "ui:row": true
    first:
      "ui:column": "col-sm-5"
    middle:
      "ui:column": "col-sm-2"
    last:
      "ui:column": "col-sm-5"
    credentials:
      "ui:widget": "hidden"
billing:
  "ui:tab": "billing-information"
  "ui:hideItemTitle": true
  billing_type:
    "ui:readonly": true
  billing_code:
    "ui:widget": "hidden"
sample_request:
  "ui:tab": "specimen-information"
  "ui:hideItemTitle": true
  "ui:row": true
  "ui:order":
    - type
    - send_kit
    - "*"
  send_kit:
    "ui:readonly": true
    "ui:widget": "radio"
    "ui:title": "Send Kit to Patient"
    "ui:column": "col-12"
  send_kit_address:
    "ui:widget": "hidden"
  type:
    "ui:readonly": true
    "ui:widget": "select"
    "ui:column": "col-sm-4"
    "ui:enumDisabled":
      - DNA
      - DATA
      - SALIVA
      - BLOOD
campaign_information:
  "ui:tab": "specimen-information"
  "ui:hideItemTitle": true
  "ui:row": true
  patient_mrn:
    "ui:row": true
    "ui:column": "col-sm-4"
  order_id:
    "ui:column": "col-sm-4"
  specimen_id:
    "ui:column": "col-sm-4"
